Skip to main content
GET
/
workspaces
/
{workspaceId}
/
accounts
Get Accounts
curl --request GET \
  --url https://api.bron.org/workspaces/{workspaceId}/accounts
import requests

url = "https://api.bron.org/workspaces/{workspaceId}/accounts"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.bron.org/workspaces/{workspaceId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "accounts": [
    {
      "accountId": "<string>",
      "accountName": "<string>",
      "accountType": "vault",
      "createdAt": "<string>",
      "externalId": "<string>",
      "workspaceId": "<string>",
      "createdBy": "<string>",
      "extra": {},
      "icon": "<string>",
      "isTestnet": true,
      "parentAccountId": "<string>",
      "updatedAt": "<string>"
    }
  ]
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

workspaceId
string
required

Query Parameters

accountTypes
enum<string>[]

Filter by account types. See details

Available options:
vault
excludedAccountTypes
enum<string>[]

Filter by excluded account types. See details

Available options:
vault
statuses
enum<string>[]

Filter by account statuses. See details

Available options:
active,
archived,
shard-generating,
error-on-generating
accountIds
string[]

Filter by account id

offset
string<int64>

Offset for pagination

limit
string<int64>

Limit for pagination

isTestnet
boolean

Filter by testnet flag (true - testnet, false - mainnet, null - all)

Response

OK

accounts
object[]
required

List of accounts